Package org.snpeff

# Enum Class SnpEff.OutputFormat

java.lang.Object
java.lang.Enum<SnpEff.OutputFormat>
org.snpeff.SnpEff.OutputFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<SnpEff.OutputFormat>`, `Constable`

Enclosing class:
  `SnpEff`

public static enum SnpEff.OutputFormat extends Enum<SnpEff.OutputFormat>
Available output formats

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BED`
`BEDANN`
`GATK`
`VCF`

## Method Summary

Modifier and Type
Method
Description
`static SnpEff.OutputFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SnpEff.OutputFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VCF

public static final SnpEff.OutputFormat VCF

### BED

public static final SnpEff.OutputFormat BED

### BEDANN

public static final SnpEff.OutputFormat BEDANN

### GATK

public static final SnpEff.OutputFormat GATK

## Method Details

### values

public static SnpEff.OutputFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SnpEff.OutputFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null